Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.common
Class AttributeValueDoubleArray

    java.lang.Object
      oracle.ifs.common.AttributeValue
          oracle.ifs.common.AttributeValueArray
              oracle.ifs.common.AttributeValueDoubleArray

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Comparable, LooselyBoundedCacheable

    public final class AttributeValueDoubleArray

extends AttributeValueArray

An AttributeValueDoubleArray represents the value of a double array-type Attribute in a LibraryObject.

See Also:
  Serialized Form
(Unpublished)

Field Summary
`static java.lang.String` | `DATABASE_OBJECT_NAME` The database object name of the array-type AttributeValue.
`protected java.lang.Double[]` | `m_MarshaledValues` The array used to transport elements across the CORBA line.
`protected java.lang.Double[]` | `m_Values` The double array.

Fields inherited from class oracle.ifs.common.AttributeValueArray
`m_AttributeId, m_AuditId, m_Count, m_ObjectId, m_ResolvedFlag`

Fields inherited from class oracle.ifs.common.AttributeValue
`LONG_ZERO, m_Name`

Constructor Summary
`protected` | `AttributeValueDoubleArray(double[] values)` Constructs an array-type double AttributeValue.
`protected` | `AttributeValueDoubleArray(java.lang.Double[] values)` Constructs an array-type double AttributeValue.
`protected` | `AttributeValueDoubleArray(long objectId, java.lang.Long attributeId, long auditId, int count)` Constructs an array-type double AttributeValue.

Method Summary
`protected boolean` | `convertToBoolean(LibrarySessionInterface session, int index)` Converts this AttributeValue to a boolean.
`protected boolean[]` | `convertToBooleanArray(LibrarySessionInterface session)` Converts this AttributeValue to an array of booleans.
`protected java.lang.Boolean` | `convertToBooleanObject(LibrarySessionInterface session, int index)` Converts this AttributeValue to a Boolean.
`protected java.lang.Boolean[]` | `convertToBooleanObjectArray(LibrarySessionInterface session)` Converts this AttributeValue to an array of Booleans.
`protected double` | `convertToDouble(LibrarySessionInterface session, int index)` Converts this AttributeValue to a double.
`protected double[]` | `convertToDoubleArray(LibrarySessionInterface session)` Converts this AttributeValue to an array of doubles.
`protected java.lang.Double` | `convertToDoubleObject(LibrarySessionInterface session, int index)` Converts this AttributeValue to a Double.
`protected java.lang.Double[]` | `convertToDoubleObjectArray(LibrarySessionInterface session)` Converts this AttributeValue to an array of Doubles.
`protected int` | `convertToInteger(LibrarySessionInterface session, int index)` Converts this AttributeValue to an int.
`protected int[]` | `convertToIntegerArray(LibrarySessionInterface session)` Converts this AttributeValue to an array of ints.
`protected java.lang.Integer` | `convertToIntegerObject(LibrarySessionInterface session, int index)` Converts this AttributeValue to an Integer.
`protected java.lang.Integer[]` | `convertToIntegerObjectArray(LibrarySessionInterface session)` Converts this AttributeValue to an array of Integers.
`protected long` | `convertToLong(LibrarySessionInterface session, int index)` Converts this AttributeValue to a long.
`protected long[]` | `convertToLongArray(LibrarySessionInterface session)` Converts this AttributeValue to an array of longs.
`protected java.lang.Long` | `convertToLongObject(LibrarySessionInterface session, int index)` Converts this AttributeValue to a Long.
`protected java.lang.Long[]` | `convertToLongObjectArray(LibrarySessionInterface session)` Converts this AttributeValue to an array of Longs.
`protected java.lang.String` | `convertToString(LibrarySessionInterface session, int index)` Converts this AttributeValue to a String.
`protected java.lang.String[]` | `convertToStringArray(LibrarySessionInterface session)` Converts this AttributeValue to an array of Strings.
`java.lang.String` | `getDatabaseObjectName()` Gets the database object name of the array-type AttributeValue.
`int` | `getDataType()` Gets the data type of this AttributeValue.
`int` | `getElementCount()` Gets the number of elements in an array-type AttributeValue.
`java.lang.Object` | `getObject(LibrarySessionInterface session)` Gets the default object representation of this AttributeValue.
`boolean` | `isNullValue()` Gets whether this AttributeValue is null.
`protected void` | `loadElements(AttributeValue source)` Copies the elements from the specified AttributeValue to this AttributeValue.
`AttributeValue` | `processResultSet(java.sql.ResultSet rset)` Processes the result set containing the elements of the array-type AttributeValue.

Methods inherited from class oracle.ifs.common.AttributeValueArray
`resolve`

Methods inherited from class oracle.ifs.common.AttributeValue
`added, arrayToHashtable, canPurge, compareTo, convertToDate, convertToDateArray, convertToDirectoryObject, convertToDirectoryObjectArray, convertToPublicObject, convertToPublicObjectArray, convertToSchemaObject, convertToSchemaObjectArray, convertToSystemObject, convertToSystemObjectArray, ensureUpperCaseName, getBoolean, getBooleanArray, getBooleanArray, getBooleanObject, getBooleanObjectArray, getBooleanObjectArray, getDate, getDateArray, getDateArray, getDirectoryObject, getDirectoryObjectArray, getDirectoryObjectArray, getDouble, getDoubleArray, getDoubleArray, getDoubleObject, getDoubleObjectArray, getDoubleObjectArray, getInteger, getIntegerArray, getIntegerArray, getIntegerObject, getIntegerObjectArray, getIntegerObjectArray, getLibraryObject, getLong, getLongArray, getLongArray, getLongObject, getLongObjectArray, getLongObjectArray, getName, getPublicObject, getPublicObjectArray, getPublicObjectArray, getSchemaObject, getSchemaObjectArray, getSchemaObjectArray, getString, getStringArray, getStringArray, getSystemObject, getSystemObjectArray, getSystemObjectArray, hashtableToArray, isArrayType, isLibraryObjectArrayType, isLibraryObjectScalarType, isLibraryObjectType, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newAttributeValue, newNullAttributeValue, overrideName, removed, setName, toBoolean, toBoolean, toBoolean, toBoolean, toDate, toDate, toDouble, toDouble, toDouble, toInteger, toInteger, toInteger, toLong, toLong, toLong, toLong, toString, toString, toString, toString, toString, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DATABASE_OBJECT_NAME

    public static final java.lang.String DATABASE_OBJECT_NAME

  Description copied from class: `AttributeValueDoubleArray`
  The database object name of the array-type AttributeValue.

  See Also:
    Constant Field Values
  (Unpublished)

### m_Values

    protected transient java.lang.Double[] m_Values

  Description copied from class: `AttributeValueDoubleArray`
  The double array.

  This is transient to prevent it from being transported across the CORBA line.

  (Unpublished)

### m_MarshaledValues

    protected java.lang.Double[] m_MarshaledValues

  Description copied from class: `AttributeValueDoubleArray`
  The array used to transport elements across the CORBA line. We still this and m_Values for backwards compatibility with AVs serialized using previous iFS versions (pre 9.0.3).

  (Unpublished)

Constructor Detail

### AttributeValueDoubleArray

    protected AttributeValueDoubleArray(double[] values)
                                 throws IfsException

  Constructs an array-type double AttributeValue.

  This variant is used when the user explicitly creates an AttributeValue using the static factory methods of AttributeValue. It implies that none of the AttributeValue's elements are null.

  Parameters:
    `values` - the double values
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### AttributeValueDoubleArray

    protected AttributeValueDoubleArray(java.lang.Double[] values)
                                 throws IfsException

  Constructs an array-type double AttributeValue.

  This variant is used when the user explicitly creates an AttributeValue using the static factory methods of AttributeValue.

  Parameters:
    `values` - the double values
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### AttributeValueDoubleArray

    protected AttributeValueDoubleArray(long objectId,
                                        java.lang.Long attributeId,
                                        long auditId,
                                        int count)
                                 throws IfsException

  Constructs an array-type double AttributeValue.

  This variant is used to retrieve an array-type AttributeValue from the database. It defers loading the elements of the AttributeValue from the appropriate attribute value database table until they are needed.

  Parameters:
    `objectId` - if this AttributeValue represents the value of a LibraryObject's Attribute, this is the id of that LibraryObject; -1 if this AttributeValue represents the value of a system audit entry property
    `attributeId` - if this AttributeValue represents the value of a LibraryObject's Attribute, this is the id of that Attribute; if this AttributeValue represents the value of a system audit entry property, this is the system audit entry property id
    `auditId` - if this AttributeValue represents the value of a system audit entry property or an audited LibraryObject's Attribute, this is the audit id; 0 if this AttributeValue represents the current value of a LibraryObject's Attribute
    `count` - the number of elements in this AttributeValue
  Throws:
    `IfsException` - (IFS-9999) if objectId == -1 and auditId == 0
    `IfsException` - (IFS-19001) if attributeId is null
  (Unpublished)

Method Detail

### getDataType

    public int getDataType()

  Description copied from class: `AttributeValueDoubleArray`
  Gets the data type of this AttributeValue.

  Overrides:
    `getDataType` in class `AttributeValue`
  Returns:
    the data type
  (Published)

### isNullValue

    public boolean isNullValue()

  Description copied from class: `AttributeValueDoubleArray`
  Gets whether this AttributeValue is null.

  Overrides:
    `isNullValue` in class `AttributeValue`
  Returns:
    whether the AttributeValue is null
  (Published)

### getElementCount

    public int getElementCount()

  Description copied from class: `AttributeValueDoubleArray`
  Gets the number of elements in an array-type AttributeValue.

  Overrides:
    `getElementCount` in class `AttributeValue`
  Returns:
    the number of elements, or 0 if the AttributeValue is null or not an array type
  (Published)

### getObject

    public java.lang.Object getObject(LibrarySessionInterface session)
                               throws IfsException

  Description copied from class: `AttributeValueDoubleArray`
  Gets the default object representation of this AttributeValue.

  Overrides:
    `getObject` in class `AttributeValue`
  Parameters:
    `session` - the session
  Returns:
    the default object representation
  Throws:
    `IfsException` - (IFS-10406) if there is a AttributeValue conversion error
  (Published)

### convertToInteger

    protected int convertToInteger(LibrarySessionInterface session,
                                   int index)
                            throws IfsException

  Description copied from class: `AttributeValueDoubleArray`
  Converts this AttributeValue to an int.

  Overrides:
    `convertToInteger` in class `AttributeValue`
  Parameters:
    `session` - the session
    `index` - the zero-based index
  Returns:
    the int value
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as an int
  (Unpublished)

### convertToIntegerObject

    protected java.lang.Integer convertToIntegerObject(LibrarySessionInterface session,
                                                       int index)
                                                throws IfsException

  Description copied from class: `AttributeValueDoubleArray`
  Converts this AttributeValue to an Integer.

  Overrides:
    `convertToIntegerObject` in class `AttributeValue`
  Parameters:
    `session` - the session
    `index` - the zero-based index
  Returns:
    the Integer value
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as an Integer
  (Unpublished)

### convertToLong

    protected long convertToLong(LibrarySessionInterface session,
                                 int index)
                          throws IfsException

  Description copied from class: `AttributeValueDoubleArray`
  Converts this AttributeValue to a long.

  Overrides:
    `convertToLong` in class `AttributeValue`
  Parameters:
    `session` - the session
    `index` - the zero-based index
  Returns:
    the long value
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a long
  (Unpublished)

### convertToLongObject

    protected java.lang.Long convertToLongObject(LibrarySessionInterface session,
                                                 int index)
                                          throws IfsException

  Description copied from class: `AttributeValueDoubleArray`
  Converts this AttributeValue to a Long.

  Overrides:
    `convertToLongObject` in class `AttributeValue`
  Parameters:
    `session` - the session
    `index` - the zero-based index
  Returns:
    the Long value
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a Long
  (Unpublished)

### convertToDouble

    protected double convertToDouble(LibrarySessionInterface session,
                                     int index)
                              throws IfsException

  Description copied from class: `AttributeValueDoubleArray`
  Converts this AttributeValue to a double.

  Overrides:
    `convertToDouble` in class `AttributeValue`
  Parameters:
    `session` - the session
    `index` - the zero-based index
  Returns:
    the double value
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a double
  (Unpublished)

### convertToDoubleObject

    protected java.lang.Double convertToDoubleObject(LibrarySessionInterface session,
                                                     int index)
                                              throws IfsException

  Description copied from class: `AttributeValueDoubleArray`
  Converts this AttributeValue to a Double.

  Overrides:
    `convertToDoubleObject` in class `AttributeValue`
  Parameters:
    `session` - the session
    `index` - the zero-based index
  Returns:
    the Double value
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a Double
  (Unpublished)

### convertToString

    protected java.lang.String convertToString(LibrarySessionInterface session,
                                               int index)
                                        throws IfsException

  Description copied from class: `AttributeValueDoubleArray`
  Converts this AttributeValue to a String.

  Overrides:
    `convertToString` in class `AttributeValue`
  Parameters:
    `session` - the session
    `index` - the zero-based index
  Returns:
    the String value
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a String
  (Unpublished)

### convertToBoolean

    protected boolean convertToBoolean(LibrarySessionInterface session,
                                       int index)
                                throws IfsException

  Description copied from class: `AttributeValueDoubleArray`
  Converts this AttributeValue to a boolean.

  Overrides:
    `convertToBoolean` in class `AttributeValue`
  Parameters:
    `session` - the session
    `index` - the zero-based index
  Returns:
    the boolean value
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a boolean
  (Unpublished)

### convertToBooleanObject

    protected java.lang.Boolean convertToBooleanObject(LibrarySessionInterface session,
                                                       int index)
                                                throws IfsException

  Description copied from class: `AttributeValueDoubleArray`
  Converts this AttributeValue to a Boolean.

  Overrides:
    `convertToBooleanObject` in class `AttributeValue`
  Parameters:
    `session` - the session
    `index` - the zero-based index
  Returns:
    the Boolean value
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a Boolean
  (Unpublished)

### convertToIntegerArray

    protected int[] convertToIntegerArray(LibrarySessionInterface session)
                                   throws IfsException

  Description copied from class: `AttributeValueDoubleArray`
  Converts this AttributeValue to an array of ints.

  Overrides:
    `convertToIntegerArray` in class `AttributeValue`
  Parameters:
    `session` - the session
  Returns:
    the int array; null if the AttributeValue is null
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as an int[]
  (Unpublished)

### convertToIntegerObjectArray

    protected java.lang.Integer[] convertToIntegerObjectArray(LibrarySessionInterface session)
                                                       throws IfsException

  Description copied from class: `AttributeValueDoubleArray`
  Converts this AttributeValue to an array of Integers.

  Overrides:
    `convertToIntegerObjectArray` in class `AttributeValue`
  Parameters:
    `session` - the session
  Returns:
    the Integer array; null if the AttributeValue is null
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### convertToLongArray

    protected long[] convertToLongArray(LibrarySessionInterface session)
                                 throws IfsException

  Description copied from class: `AttributeValueDoubleArray`
  Converts this AttributeValue to an array of longs.

  Overrides:
    `convertToLongArray` in class `AttributeValue`
  Parameters:
    `session` - the session
  Returns:
    the long array; null if the AttributeValue is null
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a long[]
  (Unpublished)

### convertToLongObjectArray

    protected java.lang.Long[] convertToLongObjectArray(LibrarySessionInterface session)
                                                 throws IfsException

  Description copied from class: `AttributeValueDoubleArray`
  Converts this AttributeValue to an array of Longs.

  Overrides:
    `convertToLongObjectArray` in class `AttributeValue`
  Parameters:
    `session` - the session
  Returns:
    the Long array; null if the AttributeValue is null
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### convertToDoubleArray

    protected double[] convertToDoubleArray(LibrarySessionInterface session)
                                     throws IfsException

  Description copied from class: `AttributeValueDoubleArray`
  Converts this AttributeValue to an array of doubles.

  Overrides:
    `convertToDoubleArray` in class `AttributeValue`
  Parameters:
    `session` - the session
  Returns:
    the double array; null if the AttributeValue is null
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a double[]
  (Unpublished)

### convertToDoubleObjectArray

    protected java.lang.Double[] convertToDoubleObjectArray(LibrarySessionInterface session)
                                                     throws IfsException

  Description copied from class: `AttributeValueDoubleArray`
  Converts this AttributeValue to an array of Doubles.

  Overrides:
    `convertToDoubleObjectArray` in class `AttributeValue`
  Parameters:
    `session` - the session
  Returns:
    the Double array; null if the AttributeValue is null
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### convertToStringArray

    protected java.lang.String[] convertToStringArray(LibrarySessionInterface session)
                                               throws IfsException

  Description copied from class: `AttributeValueDoubleArray`
  Converts this AttributeValue to an array of Strings.

  Overrides:
    `convertToStringArray` in class `AttributeValue`
  Parameters:
    `session` - the session
  Returns:
    the String array; null if the AttributeValue is null
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### convertToBooleanArray

    protected boolean[] convertToBooleanArray(LibrarySessionInterface session)
                                       throws IfsException

  Description copied from class: `AttributeValueDoubleArray`
  Converts this AttributeValue to an array of booleans.

  Overrides:
    `convertToBooleanArray` in class `AttributeValue`
  Parameters:
    `session` - the session
  Returns:
    the boolean array; null if the AttributeValue is null
  Throws:
    `IfsException` - (IFS-10406) if this AttributeValue cannot be represented as a boolean[]
  (Unpublished)

### convertToBooleanObjectArray

    protected java.lang.Boolean[] convertToBooleanObjectArray(LibrarySessionInterface session)
                                                       throws IfsException

  Description copied from class: `AttributeValueDoubleArray`
  Converts this AttributeValue to an array of Booleans.

  Overrides:
    `convertToBooleanObjectArray` in class `AttributeValue`
  Parameters:
    `session` - the session
  Returns:
    the Boolean array; null if the AttributeValue is null
  Throws:
    `IfsException` - if the operation fails
  (Unpublished)

### processResultSet

    public AttributeValue processResultSet(java.sql.ResultSet rset)
                                    throws java.lang.Exception

  Description copied from class: `AttributeValueDoubleArray`
  Processes the result set containing the elements of the array-type AttributeValue.

  For internal use only. Do not use this method.

  The invoker of this method sucks the elements from the returned object, plugs them into the corresponding cached AttributeValue, and then discards the returned object.

  Overrides:
    `processResultSet` in class `AttributeValueArray`
  Parameters:
    `rset` - the result set
  Returns:
    a fully-resolved copy of this AttributeValue
  Throws:
    `java.lang.Exception` - if the operation fails
  (Unpublished)

### loadElements

    protected final void loadElements(AttributeValue source)

  Description copied from class: `AttributeValueDoubleArray`
  Copies the elements from the specified AttributeValue to this AttributeValue.

  Overrides:
    `loadElements` in class `AttributeValueArray`
  Parameters:
    `source` - the source AttributeValue
  (Unpublished)

### getDatabaseObjectName

    public final java.lang.String getDatabaseObjectName()

  Description copied from class: `AttributeValueDoubleArray`
  Gets the database object name of the array-type AttributeValue.

  Overrides:
    `getDatabaseObjectName` in class `AttributeValueArray`
  Returns:
    the database object name
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD